> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Identifier Groups

<Icon icon="key" size={16} /> Required API key permission: **Read Tenant**


## OpenAPI

````yaml firework-v2-openapi get /firework/v2/assets/groups/
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    Requests are authenticated with API tokens, which are obtained using an API
    key:


    1. Generate an API key from the [Profile
    page](https://app.flare.io/#/profile).

    2. Send a `POST` request to `https://api.flare.io/tokens/generate` with the
    `Authorization: <api-key>` header to get an API token. API tokens expire
    after 1 hour.

    3. Call the API endpoints with the `Authorization: Bearer <api-token>`
    header.


    See [Authentication](https://api.docs.flare.io/concepts/authentication) for
    details.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/assets/groups/:
    get:
      tags:
        - Identifiers
      operationId: get_assets_groups
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_assets_groups_200_response'
          description: Success
components:
  schemas:
    get_assets_groups_200_response:
      properties:
        assets_groups:
          $ref: '#/components/schemas/IdentifierGroup'
      type: object
    IdentifierGroup:
      properties:
        id:
          type: integer
        tenant_id:
          type: integer
        feed_id:
          type: integer
        feed_owner_id:
          type: integer
        name:
          type: string
        urn:
          description: The uniform resource name of the identifier group.
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.